Bug 1740997 - Remove python2-rosdep
Summary: Remove python2-rosdep
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: python-rosdep
Version: rawhide
Hardware: All
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Scott K Logan
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: PY2REMOVAL F31_PY2REMOVAL
TreeView+ depends on / blocked
 
Reported: 2019-08-14 05:02 UTC by Lumír Balhar
Modified: 2019-09-19 19:53 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-09-19 19:53:24 UTC


Attachments (Terms of Use)

Description Lumír Balhar 2019-08-14 05:02:31 UTC
Python 2.7 will reach end-of-life in January 2020, over 9 years after it was released. This falls within the Fedora 31 lifetime.
Packages that depend on Python 2 are being switched to Python 3 or removed from Fedora: https://fedoraproject.org/wiki/Changes/F31_Mass_Python_2_Package_Removal#Information_on_Remaining_Packages
Python 2 will be retired in Fedora 32: https://fedoraproject.org/wiki/Changes/RetirePython2

To help planning, we'd like to know the plans for python-rosdep's future. Specifically:


- What is the reason for the Python2 dependency? (Is it software written in Python, or does it just provide Python bindings, or use Python in the build system or test runner?) 

- What are the upstream/community plans/timelines regarding Python 3?

- What is the guidance for porting to Python 3? (Assuming that there is someone who generally knows how to port to Python 3, but doesn't know anything about the particular package, what are the next steps to take?)


This bug is filed semi-automatically, and might not have all the context specific to python-rosdep.
If you need anything from us, or something is unclear, please mention it here.

Thank you.

Comment 1 Lumír Balhar 2019-08-21 13:20:59 UTC
Please answer the above questions. If you don't, the package can be orphaned: https://fedoraproject.org/wiki/Changes/F31_Mass_Python_2_Package_Removal#Information_on_Remaining_Packages

If you need any information or help, or if you need some more time, please let us know.

Comment 2 Scott K Logan 2019-08-28 22:06:25 UTC
We will need to coordinate with the fawkes-devenv package which depends on this, but I believe it can be converted to a python3-only package.

Comment 3 Lumír Balhar 2019-08-29 04:22:03 UTC
The situation here is the same as with python-wstool. python2-rosdep is a leaf package and can be freely removed from rawhide.

Comment 4 Lumír Balhar 2019-09-05 10:38:54 UTC
Do you need any help with that? Shall we remove the subpackage?

Comment 5 Lumír Balhar 2019-09-13 10:24:49 UTC
Miro, could you please remove the subpackage?

Comment 6 Miro Hrončok 2019-09-13 10:41:31 UTC
In line with the Mass Python 2 Package Removal [0], the following (sub)packages of python-rosdep were marked for removal:

python2-rosdep

According to our query, those (sub)packages only provide a Python 2 importable module. If this is not true, please tell us why, so we can fix our query.

Please remove them from your package in Rawhide (Fedora 32).

Please don't remove packages from Fedora 31, it is past Beta Freeze.
Please don't do this for Fedora 30/29 either, removing packages from a released Fedora branch is forbidden.

As said in the change document, if there is no objection in a week, we will remove the package(s) as soon as we get to it. This change might not match your packaging style, so we'd prefer if you did the change. If you need more time, please let us know here.

If you do the change yourself, it would help us a lot by reducing the amount of packages we need to mass change.

We hope this doesn't come to you as a surprise. If you want to know our motivation for this, please read the change document [0].

[0] https://fedoraproject.org/wiki/Changes/F31_Mass_Python_2_Package_Removal

Comment 7 Panu Matilainen 2019-09-19 08:18:23 UTC
This is also one of the very few remaining dependencies on python2-rpm. Rpm has dropped support for Python 2 bindings upstream, so with the next rpm release (expected next year) the Python 2 version will cease to function anyway. We'd rather drop support for python2-rpm in Fedora 32 already and python2-rosdep is standing in the way.

Comment 8 Miro Hrončok 2019-09-19 10:47:55 UTC
Panu, I must disagree. The only package that requires python2-rpm in Fedora Rawhide is mach:

$ repoquery --repo=rawhide{,-source} --whatrequires python2-rpm
mach-0:1.0.4-10.fc31.i686
mach-0:1.0.4-10.fc31.x86_64


See bz1738012.

Comment 9 Panu Matilainen 2019-09-19 11:52:41 UTC
Right, I used --whatdepends as I want to see all dependants, whether they're hard or soft requirements, python2-rosdep has:
Recommends:     python2-rpm


Note You need to log in before you can comment on or make changes to this bug.